Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface WorkSubstituteRulesDocument.WorkSubstituteRules

All Superinterfaces:
  XmlObject, XmlTokenSource

Enclosing interface:
  WorkSubstituteRulesDocument

    public static interface WorkSubstituteRulesDocument.WorkSubstituteRules

extends XmlObject

An XML WorkSubstituteRules(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `WorkSubstituteRulesDocument.WorkSubstituteRules.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`WorkSubstituteRuleType` | `addNewWorkSubstituteRule()` Appends and returns a new empty value (as xml) as the last "workSubstituteRule" element
`WorkSubstituteRuleType[]` | `getWorkSubstituteRuleArray()` Gets array of all "workSubstituteRule" elements
`WorkSubstituteRuleType` | `getWorkSubstituteRuleArray(int i)` Gets ith "workSubstituteRule" element
`WorkSubstituteRuleType` | `insertNewWorkSubstituteRule(int i)` Inserts and returns a new empty value (as xml) as the ith "workSubstituteRule" element
`void` | `removeWorkSubstituteRule(int i)` Removes the ith "workSubstituteRule" element
`void` | `setWorkSubstituteRuleArray(int i, WorkSubstituteRuleType workSubstituteRule)` Sets ith "workSubstituteRule" element
`void` | `setWorkSubstituteRuleArray(WorkSubstituteRuleType[] workSubstituteRuleArray)` Sets array of all "workSubstituteRule" element
`int` | `sizeOfWorkSubstituteRuleArray()` Returns number of "workSubstituteRule" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getWorkSubstituteRuleArray

    WorkSubstituteRuleType[] getWorkSubstituteRuleArray()

  Gets array of all "workSubstituteRule" elements

### getWorkSubstituteRuleArray

    WorkSubstituteRuleType getWorkSubstituteRuleArray(int i)

  Gets ith "workSubstituteRule" element

### sizeOfWorkSubstituteRuleArray

    int sizeOfWorkSubstituteRuleArray()

  Returns number of "workSubstituteRule" element

### setWorkSubstituteRuleArray

    void setWorkSubstituteRuleArray(WorkSubstituteRuleType[] workSubstituteRuleArray)

  Sets array of all "workSubstituteRule" element

### setWorkSubstituteRuleArray

    void setWorkSubstituteRuleArray(int i,
                                    WorkSubstituteRuleType workSubstituteRule)

  Sets ith "workSubstituteRule" element

### insertNewWorkSubstituteRule

    WorkSubstituteRuleType insertNewWorkSubstituteRule(int i)

  Inserts and returns a new empty value (as xml) as the ith "workSubstituteRule" element

### addNewWorkSubstituteRule

    WorkSubstituteRuleType addNewWorkSubstituteRule()

  Appends and returns a new empty value (as xml) as the last "workSubstituteRule" element

### removeWorkSubstituteRule

    void removeWorkSubstituteRule(int i)

  Removes the ith "workSubstituteRule" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD